Subject: Re: bug: git-sh-setup should not be in $PATH

From: Jakub Narebski <[email-masked]>
Date: Wed, 6 Dec 2006 16:56:55 +0100

Dnia środa 6. grudnia 2006 16:36, Han-Wen Nienhuys napisał:
> Jakub Narebski escreveu:
[...]
>>>>> +  if test -f $srcdir/$d/Makefile ; then
>   [..]
>>>>> +    echo creating $d/Makefile
>>>>> +    cat << EOF> $d/Makefile
> 
>>>> This part IMHO has no sense, and has no place here.
>> 
>> If you want to create or modify Makefiles, do that. Not generate
>> "minimal" Makefiles in every and each subdirectory.
> 
> Look more closely at the patch. It only generates Makefiles in 
> directories that have makefiles in the source dir. The makefiles are
> short because that is the easiest to do.

The fact that I didn't understood what this part of patch is meant
to do should be the big hint that this commit needs some longer commit
message explaining purpose of such mess.

I still don't understand what this part do (and how come it is
in configure.ac which should be _only_ about generating 
config.mak.autogen Makefile configuration file and _not_ about
generating Makefiles). You want what sequence of commands to work?

  $ $srcdir/configure --srcdir=$srcdir
  $ make -D $srcdir
  $ make -D $srcdir DESTDIR=$DESTDIR install

or what? Why this part is needed?

Once again: git is NOT autotool'ed project. And shouldn't be.

> I'm happy to amend the patch, but I can't properly test
> it until the perl problem gets sorted out. 

I'll be waiting.

-- 
Jakub Narebski